curl -X DELETE https://api.pipellm.ai/v2/videos/gen-xxxxxxxx \
-H "Authorization: Bearer $PIPELLM_API_KEY"
import os
import requests
response = requests.delete(
"https://api.pipellm.ai/v2/videos/gen-xxxxxxxx",
headers={"Authorization": f"Bearer {os.environ['PIPELLM_API_KEY']}"},
)
print(response.json())
{
"id": "gen-xxxxxxxx",
"object": "video",
"model": "seedance-2-0-mini",
"provider": "volcengine",
"status": "cancelled",
"created_at": 1726400000,
"updated_at": 1726400030
}
Cancel a video
Cancel a video task on the platform that created it. This request is not billed.
DELETE
/
v2
/
videos
/
{id}
curl -X DELETE https://api.pipellm.ai/v2/videos/gen-xxxxxxxx \
-H "Authorization: Bearer $PIPELLM_API_KEY"
import os
import requests
response = requests.delete(
"https://api.pipellm.ai/v2/videos/gen-xxxxxxxx",
headers={"Authorization": f"Bearer {os.environ['PIPELLM_API_KEY']}"},
)
print(response.json())
{
"id": "gen-xxxxxxxx",
"object": "video",
"model": "seedance-2-0-mini",
"provider": "volcengine",
"status": "cancelled",
"created_at": 1726400000,
"updated_at": 1726400030
}
Cancels an in-flight task and returns the task envelope with
A missing or foreign task ID returns
status set to cancelled when the cancel succeeds.
string
required
Public task ID (
gen-...).curl -X DELETE https://api.pipellm.ai/v2/videos/gen-xxxxxxxx \
-H "Authorization: Bearer $PIPELLM_API_KEY"
import os
import requests
response = requests.delete(
"https://api.pipellm.ai/v2/videos/gen-xxxxxxxx",
headers={"Authorization": f"Bearer {os.environ['PIPELLM_API_KEY']}"},
)
print(response.json())
{
"id": "gen-xxxxxxxx",
"object": "video",
"model": "seedance-2-0-mini",
"provider": "volcengine",
"status": "cancelled",
"created_at": 1726400000,
"updated_at": 1726400030
}
404. This route does not charge.
Completed tasks cannot be cancelled. Poll GET /v2/videos/{id} if you only need the current status.Was this page helpful?